Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/amule: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Wed, 17 Dec 2014 15:47:23 +0000

SVN version synced with Arch.
This package might be splitted in the future.
---
 testing/amule/APKBUILD | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 testing/amule/APKBUILD
diff --git a/testing/amule/APKBUILD b/testing/amule/APKBUILD
new file mode 100644
index 0000000..aee0bbe
--- /dev/null
+++ b/testing/amule/APKBUILD
_at_@ -0,0 +1,58 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=amule
+pkgsvn=aMule-SVN-r
+pkgver=10852
+pkgrel=0
+pkgdesc="An eMule-like client for the eD2k and Kademlia networks"
+url="http://www.amule.org"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="crypto++-dev gd-dev geoip-dev libsm-dev libupnp-dev wxgtk2.8-dev"
+makedepends="$depends_dev bison"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://amule.sourceforge.net/tarballs/${pkgsvn}${pkgver}.tar.bz2"
+
+_builddir=$srcdir/${pkgsvn}${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	update_config_sub || return 1
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--with-wxversion=2.8 \
+		--enable-amule-daemon \
+		--enable-amulecmd \
+		--enable-amule-gui \
+		--enable-webserver \
+		--enable-alc \
+		--enable-alcc \
+		--enable-geoip \
+		--enable-upnp \
+		--disable-debug \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7869cd9f40f709b084b5b4d9d726f7e7  aMule-SVN-r10852.tar.bz2"
+sha256sums="3a97c844235556c18d2344e7e7bd758be6cb603e09f866d0c9d68836021c306d  aMule-SVN-r10852.tar.bz2"
+sha512sums="00caaae6f6a6832200a6267676160d2554ecee93e1256257311586a29e6b1ba3f44e61ad159051224ad55071cf27e9c45f2ea2603de41163ff487f1c5d7a4847  aMule-SVN-r10852.tar.bz2"
-- 
2.2.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Dec 17 2014 - 15:47:23 GMT